Topics
Topic
Retrieve detailed metadata for a single research topic cluster by its HX_T identifier.
GET
/
topics
/
{id}
curl -X GET "https://api.hexagraph.in/topics/HX_T10346"
fetch("https://api.hexagraph.in/topics/HX_T10346")
.then(response => response.json())
.then(data => console.log(data));
import requests
response = requests.get("https://api.hexagraph.in/topics/HX_T10346")
print(response.json())
package main
import (
"fmt"
"io"
"net/http"
)
func main() {
resp, err := http.Get("https://api.hexagraph.in/topics/HX_T10346")
if err != nil {
fmt.Println("Error:", err)
return
}
defer resp.Body.Close()
body, _ := io.ReadAll(resp.Body)
fmt.Println(string(body))
}
{
"id": "HX_T14423",
"name": "Military Technology and Strategies",
"description": "This cluster of papers covers various aspects related to the modernization and development of air force capabilities, including the use of unmanned aerial vehicles, radar systems, military communication, electronic components, and strategic planning. It also explores the intersection of strategic planning, foresight, and design in the context of air force modernization.",
"keywords": [
"Air Force",
"Modernization",
"Warfare",
"Unmanned Aerial Vehicles",
"Radar Systems",
"Military Communication",
"Electronic Components",
"Strategic Planning",
"Foresight",
"Design"
],
"ids": {
"wikipedia": "https://en.wikipedia.org/wiki/Air_force_modernization"
},
"subfield": {
"id": "2202",
"name": "Aerospace Engineering"
},
"field": {
"id": "22",
"name": "Engineering"
},
"domain": {
"id": "3",
"name": "Physical Sciences"
},
"siblings": [
{
"id": "HX_T10069",
"name": "Antenna Design and Analysis"
}
],
"outputs_count": 22344034,
"cited_by_count": 843046,
"updated_date": "2026-08-05T03:01:31",
"created_date": "2024-01-23T15:27:22"
}
{
"statusCode": 400,
"message": "Only HX_ prefixed IDs are allowed",
"error": "Bad Request"
}
{
"statusCode": 404,
"message": "Topic with ID HX_T9999999999 not found",
"error": "Not Found"
}
{
"statusCode": 429,
"error": "Too Many Requests",
"message": "IP rate limit exceeded (max 30 requests per minute). Please try again in 42 seconds (at 11:40:32 UTC).",
"reset_in_seconds": 42,
"reset_at_utc": "2026-08-05T11:40:32.000Z"
}
Retrieves a granular research topic cluster (Level 3 leaf node in the taxonomy) by its
HX_T identifier.
Path Parameters
string
required
Unique topic identifier (e.g.
HX_T10346). Must be prefixed with HX_T.Response Fields
string
required
Unique topic identifier prefixed with
HX_T (e.g. HX_T10346).string
required
Topic display name (e.g.
"Machine Learning in Drug Discovery").string
Scope description.
array
Associated keyword strings array.
object
array
integer
Total number of indexed outputs in this topic.
integer
Total citation count received.
string
Last updated timestamp.
string
Creation timestamp.
curl -X GET "https://api.hexagraph.in/topics/HX_T10346"
fetch("https://api.hexagraph.in/topics/HX_T10346")
.then(response => response.json())
.then(data => console.log(data));
import requests
response = requests.get("https://api.hexagraph.in/topics/HX_T10346")
print(response.json())
package main
import (
"fmt"
"io"
"net/http"
)
func main() {
resp, err := http.Get("https://api.hexagraph.in/topics/HX_T10346")
if err != nil {
fmt.Println("Error:", err)
return
}
defer resp.Body.Close()
body, _ := io.ReadAll(resp.Body)
fmt.Println(string(body))
}
{
"id": "HX_T14423",
"name": "Military Technology and Strategies",
"description": "This cluster of papers covers various aspects related to the modernization and development of air force capabilities, including the use of unmanned aerial vehicles, radar systems, military communication, electronic components, and strategic planning. It also explores the intersection of strategic planning, foresight, and design in the context of air force modernization.",
"keywords": [
"Air Force",
"Modernization",
"Warfare",
"Unmanned Aerial Vehicles",
"Radar Systems",
"Military Communication",
"Electronic Components",
"Strategic Planning",
"Foresight",
"Design"
],
"ids": {
"wikipedia": "https://en.wikipedia.org/wiki/Air_force_modernization"
},
"subfield": {
"id": "2202",
"name": "Aerospace Engineering"
},
"field": {
"id": "22",
"name": "Engineering"
},
"domain": {
"id": "3",
"name": "Physical Sciences"
},
"siblings": [
{
"id": "HX_T10069",
"name": "Antenna Design and Analysis"
}
],
"outputs_count": 22344034,
"cited_by_count": 843046,
"updated_date": "2026-08-05T03:01:31",
"created_date": "2024-01-23T15:27:22"
}
{
"statusCode": 400,
"message": "Only HX_ prefixed IDs are allowed",
"error": "Bad Request"
}
{
"statusCode": 404,
"message": "Topic with ID HX_T9999999999 not found",
"error": "Not Found"
}
{
"statusCode": 429,
"error": "Too Many Requests",
"message": "IP rate limit exceeded (max 30 requests per minute). Please try again in 42 seconds (at 11:40:32 UTC).",
"reset_in_seconds": 42,
"reset_at_utc": "2026-08-05T11:40:32.000Z"
}
⌘I
curl -X GET "https://api.hexagraph.in/topics/HX_T10346"
fetch("https://api.hexagraph.in/topics/HX_T10346")
.then(response => response.json())
.then(data => console.log(data));
import requests
response = requests.get("https://api.hexagraph.in/topics/HX_T10346")
print(response.json())
package main
import (
"fmt"
"io"
"net/http"
)
func main() {
resp, err := http.Get("https://api.hexagraph.in/topics/HX_T10346")
if err != nil {
fmt.Println("Error:", err)
return
}
defer resp.Body.Close()
body, _ := io.ReadAll(resp.Body)
fmt.Println(string(body))
}
{
"id": "HX_T14423",
"name": "Military Technology and Strategies",
"description": "This cluster of papers covers various aspects related to the modernization and development of air force capabilities, including the use of unmanned aerial vehicles, radar systems, military communication, electronic components, and strategic planning. It also explores the intersection of strategic planning, foresight, and design in the context of air force modernization.",
"keywords": [
"Air Force",
"Modernization",
"Warfare",
"Unmanned Aerial Vehicles",
"Radar Systems",
"Military Communication",
"Electronic Components",
"Strategic Planning",
"Foresight",
"Design"
],
"ids": {
"wikipedia": "https://en.wikipedia.org/wiki/Air_force_modernization"
},
"subfield": {
"id": "2202",
"name": "Aerospace Engineering"
},
"field": {
"id": "22",
"name": "Engineering"
},
"domain": {
"id": "3",
"name": "Physical Sciences"
},
"siblings": [
{
"id": "HX_T10069",
"name": "Antenna Design and Analysis"
}
],
"outputs_count": 22344034,
"cited_by_count": 843046,
"updated_date": "2026-08-05T03:01:31",
"created_date": "2024-01-23T15:27:22"
}
{
"statusCode": 400,
"message": "Only HX_ prefixed IDs are allowed",
"error": "Bad Request"
}
{
"statusCode": 404,
"message": "Topic with ID HX_T9999999999 not found",
"error": "Not Found"
}
{
"statusCode": 429,
"error": "Too Many Requests",
"message": "IP rate limit exceeded (max 30 requests per minute). Please try again in 42 seconds (at 11:40:32 UTC).",
"reset_in_seconds": 42,
"reset_at_utc": "2026-08-05T11:40:32.000Z"
}